/* TABLE OF CONTENTS

    Base

*/

/* INFO

    This file requires the css prefix .authCSS (except for .area)
    This css only works on these pages:
    - Login
    - Forgot Password
    - Register

*/


/* [START] INPUT */
.authCSS input {
    background-color: white !important;
    color: #495057 !important;
    border: none !important;
    border-bottom: 1px solid #CED4DA !important;
}
.authCSS input:focus {
    background-color: #FCFCFC !important;
    border: none;
    border-bottom: 1px solid var(--blue) !important;
}

.authCSS .input-group {
    margin-bottom: 10px;
}
.authCSS .input-group-addon {
    padding: .5rem .75rem;
    width: 45px;
    margin-bottom: 0;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.25;
    color: #495057;
    text-align: center;
    background-color: #e9ecef;
    border: 1px solid rgba(0,0,0,.15);
    border-radius: .25rem;
}

.authCSS select {
    background-color: white !important;
    color: #495057 !important;
    border: none !important;
    border-bottom: 1px solid #CED4DA !important;
}
/* [END] INPUT */


/* [START] BACKGROUND EFFECT */
.area {
    background: rgb(46, 49, 160) !important;
    background: -webkit-linear-gradient(to left, #8f94fb, #4e54c8) !important;
    width: 100%;
    height:100vh;
}

.authCSS .circles {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    margin-bottom: 0px !important;
}
.authCSS .circles li {
    position: absolute;
    display: block;
    list-style: none;
    width: 20px;
    height: 20px;
    background: rgba(133, 55, 241, 0.5);
    animation: animate 25s linear infinite;
    bottom: -150px;
    margin-bottom: 0px !important;
}
.authCSS .circles li:nth-child(1) {
    left: 25%;
    width: 80px;
    height: 80px;
    animation-delay: 0s;
}
.authCSS .circles li:nth-child(2) {
    left: 10%;
    width: 20px;
    height: 20px;
    animation-delay: 2s;
    animation-duration: 12s;
}
.authCSS .circles li:nth-child(3) {
    left: 70%;
    width: 20px;
    height: 20px;
    animation-delay: 4s;
}
.authCSS .circles li:nth-child(4) {
    left: 40%;
    width: 60px;
    height: 60px;
    animation-delay: 0s;
    animation-duration: 18s;
}
.authCSS .circles li:nth-child(5) {
    left: 65%;
    width: 20px;
    height: 20px;
    animation-delay: 0s;
}
.authCSS .circles li:nth-child(6) {
    left: 75%;
    width: 110px;
    height: 110px;
    animation-delay: 3s;
}
.authCSS .circles li:nth-child(7) {
    left: 35%;
    width: 150px;
    height: 150px;
    animation-delay: 7s;
}
.authCSS .circles li:nth-child(8) {
    left: 50%;
    width: 25px;
    height: 25px;
    animation-delay: 15s;
    animation-duration: 45s;
}
.authCSS .circles li:nth-child(9) {
    left: 20%;
    width: 15px;
    height: 15px;
    animation-delay: 2s;
    animation-duration: 35s;
}
.authCSS .circles li:nth-child(10) {
    left: 85%;
    width: 150px;
    height: 150px;
    animation-delay: 0s;
    animation-duration: 11s;
}
@keyframes animate {

    0%{
        transform: translateY(0) rotate(0deg);
        opacity: 1;
        border-radius: 0;
    }

    100%{
        transform: translateY(-1000px) rotate(720deg);
        opacity: 0;
        border-radius: 50%;
    }

}
/* [END] BACKGROUND EFFECT */


/* [START] CARD */
.authCSS .card{
    background: rgba(255, 255, 255, 0.95) !important;
    -webkit-box-shadow: 0 30px 60px 0 rgba(0,0,0,0.2);
    box-shadow: 0 30px 60px 0 rgba(0,0,0,0.2);
    border-radius: 5px;
}
.authCSS .card-title{
    color: rgb(0, 0, 0) !important;
}

.forget-password-container, .login-card-container, .register-card-container {
    z-index: 1;
}

.authCSS .vertical-center {
    min-height: 100%;
    min-height: 100vh;

    display: flex;
    align-items: center;
}
/* [END] CARD */


/* [START] BUTTON */
.authCSS .btn{
    background-color: rgb(0, 0, 0) !important;
    color: rgb(255, 255, 255) !important;
}
.authCSS .btn:hover {
    background-color: rgb(65, 70, 236) !important;
    color: white !important;
}

.authCSS .option-container {
    text-align: center;
    margin-top: 10px;
}
.authCSS .option {
    text-decoration: underline;
}
/* [END] BUTTON */
